std::tr1::_Function_base::_Base_manager(3)

NAME
std::tr1::_Function_base::_Base_manager -

SYNOPSIS

Detailed Description

  template<typename _Functor> class std::tr1::_Function_base::_Base_manager< _Functor >

Definition at line 848 of file tr1/functional.

  Static Public Member Functions
static void _M_init_functor (_Any_data &__functor, const _Functor &__f)
static bool _M_manager (_Any_data &__dest, const _Any_data &__source, _Manager_operation __op)
template<typename _Tp> static bool _M_not_empty_function (const _Tp &)
template<typename _Class, typename _Tp> static bool _M_not_empty_function (_Tp _Class::*const &__mp)
template<typename _Tp> static bool _M_not_empty_function (const _Tp *&__fp)
template<typename _Signature> static bool _M_not_empty_function (const function< _Signature > &__f)

  Protected Types
typedef integral_constant< bool, __stored_locally > _Local_storage

  Static Protected Member Functions
static void _M_clone (_Any_data &__dest, const _Any_data &__source, false_type)
static void _M_clone (_Any_data &__dest, const _Any_data &__source, true_type)
static void _M_destroy (_Any_data &__victim, false_type)
static void _M_destroy (_Any_data &__victim, true_type)
static _Functor * _M_get_pointer (const _Any_data &__source)

  Static Protected Attributes
static const bool __stored_locally

Author

Generated automatically by Doxygen for libstdc++ from the source code.